Subject: Re: mv problem
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Sylvain Petreolle <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Fri, 03 May 2002 11:44:30 -0400

At 02:16 AM 5/3/2002, Sylvain Petreolle wrote:
> > Hm, I don't see that here:
> > 
> > #mv abc Abc
> > mv: cannot move `abc' to a subdirectory of itself,
> > `Abc/abc'
> > 
> > What version of Cygwin and mv are you using?  What
> > does the directory 
> > structure of "abc" look like?
> > 
> > As you can see, you cannot rename file differing
> > only by case.  This is a 
> > Windowsism.  Sorry.  Complain to Bill if you don't
> > like it! ;-)  You'll
> > need to do this as a two step process (i.e. move
> > 'abc' to a different name
> > temporarily and then move it to 'Abc').  I can't say
> > why you got the result
> > you did however.
> > 
>
>Hi,
>I'm using cygwin version 1.3.10 with all updated
>packages.
>
>mv --version reports : mv (fileutils) 4.1
>(cygcheck reports exactly fileutils 4.1-1)
>This is reproductible with every directory.
>
>Steps I follow :
>mkdir mydir
>mv mydir MyDir (or Mydir, mydiR).

OK, looks like we're in sync.  I'm using the same versions of mv and 
the Cygwin DLL.  Maybe you're seeing a permissions problem or an inode
hash problem (see the list archives from this week).  I'm not sure.
I've tried this on both NTFS and FAT partitions so that's not the issue.
Looks like it may take some debugging on your end to figure this out.
Have you tried strace and/or gdb?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/